[
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'CandlestickChartReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"200\">\n\t\t\t\t<element kind=\"line\" uuid=\"d27f2966-4619-40f7-b95e-abbc3cd04e01\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"898de496-c5fc-4145-9cc3-d6e7fecc20d2\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"91c0559d-db66-4760-9347-710e9e24182c\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"candlestick\" uuid=\"eca7eecd-b7f9-456f-af3c-3127700ef43a\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"highLow\" incrementType=\"Group\" resetGroup=\"CountryGroup\" incrementGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<seriesExpression>\"Freight\"</seriesExpression>\n\t\t\t\t\t\t<dateExpression>$V{DateHighestCountryGroup}</dateExpression>\n\t\t\t\t\t\t<highExpression>$V{FreightSumCountryGroup} * 1.6d</highExpression>\n\t\t\t\t\t\t<lowExpression>$V{FreightSumCountryGroup} * 0.4d</lowExpression>\n\t\t\t\t\t\t<openExpression>$V{FreightSumCountryGroup} * 0.7d</openExpression>\n\t\t\t\t\t\t<closeExpression>$V{FreightSumCountryGroup} * 1.4d</closeExpression>\n\t\t\t\t\t\t<volumeExpression>$V{FreightSumCountryGroup} * 0.5d</volumeExpression>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showVolume=\"true\" />\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"d9551d4e-9192-4a1d-8df4-c739ad3349c9\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"ac6e4445-cc68-4175-95da-489e81a95d4d\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"84f61de3-12e9-4381-bc46-dd64db041417\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"bc57993a-6e67-468b-a44d-49fa6662a19b\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"cabfd59c-54bd-4835-8d1f-50fd3d820c4e\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'CandlestickChartReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'CandlestickChartReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"200\">\n\t\t\t\t<element kind=\"line\" uuid=\"d27f2966-4619-40f7-b95e-abbc3cd04e01\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"898de496-c5fc-4145-9cc3-d6e7fecc20d2\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"91c0559d-db66-4760-9347-710e9e24182c\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"candlestick\" uuid=\"eca7eecd-b7f9-456f-af3c-3127700ef43a\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"highLow\" incrementType=\"Group\" resetGroup=\"CountryGroup\" incrementGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<seriesExpression>\"Freight\"</seriesExpression>\n\t\t\t\t\t\t<dateExpression>$V{DateHighestCountryGroup}</dateExpression>\n\t\t\t\t\t\t<highExpression>$V{FreightSumCountryGroup} * 1.6d</highExpression>\n\t\t\t\t\t\t<lowExpression>$V{FreightSumCountryGroup} * 0.4d</lowExpression>\n\t\t\t\t\t\t<openExpression>$V{FreightSumCountryGroup} * 0.7d</openExpression>\n\t\t\t\t\t\t<closeExpression>$V{FreightSumCountryGroup} * 1.4d</closeExpression>\n\t\t\t\t\t\t<volumeExpression>$V{FreightSumCountryGroup} * 0.5d</volumeExpression>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showVolume=\"true\" />\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"d9551d4e-9192-4a1d-8df4-c739ad3349c9\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"ac6e4445-cc68-4175-95da-489e81a95d4d\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"84f61de3-12e9-4381-bc46-dd64db041417\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"bc57993a-6e67-468b-a44d-49fa6662a19b\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"cabfd59c-54bd-4835-8d1f-50fd3d820c4e\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'CandlestickChartReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]